Subject: Re: [PATCH v7 2/3] maintenance: `git maintenance run` learned `--scheduler=<scheduler>`

From: Junio C Hamano <[email-masked]>
Date: Mon, 23 Aug 2021 15:30:11 -0700

Lénaïc Huard <[email-masked]> writes:

> Is the suggestion to replace
>
> +#ifdef __APPLE__
> +	return 1;
> +#else
> +	return 0;
> +#endif
> +}
>
> by
>
> + return IS_LAUNCHCTL_AVAILABLE;
>
> and to add
>
> #ifdef __APPLE__
> #define IS_LAUNCHCTL_AVAILABLE 1
> #else
> #define IS_LAUNCHCTL_AVAILABLE 0
> #endif
>
> somewhere else like at the top of builtin/gc.c ?

I wasn't the one who suggested it, but the suggestion reads as such
to me.

> Also, do we agree this shouldn’t be defined in cache.h ? I’m a little bit 
> confused.

The audience of "cache.h" (or more precisely, "git-compat-util.h" is
where these come from by including system headers) is much wider
than those narrow users who care about launchtrl or cron, so
limiting it in builtin/gc.c would make more sense, I would think.

Thanks.